Loading...
Searching...
No Matches
simplexintersection.cc File Reference

Go to the source code of this file.

## Classes

class | Dune::GridGlue::SimplexMethod< dimWorld, dim1, dim2, T >
class | Dune::GridGlue::SimplexMethod< dimWorld, 0, 0, T >
class | Dune::GridGlue::SimplexMethod< dimWorld, 0, 1, T >
class | Dune::GridGlue::SimplexMethod< dimWorld, 0, 2, T >
class | Dune::GridGlue::SimplexMethod< dimWorld, 0, 3, T >
class | Dune::GridGlue::SimplexMethod< dimWorld, 1, 1, T >
class | Dune::GridGlue::SimplexMethod< dimWorld, 1, 2, T >
class | Dune::GridGlue::SimplexMethod< dimWorld, 1, 3, T >
class | Dune::GridGlue::SimplexMethod< dimWorld, 2, 2, T >
class | Dune::GridGlue::SimplexMethod< dimWorld, 2, 3, T >
class | Dune::GridGlue::SimplexMethod< dimWorld, 3, 3, T >

## Namespaces

namespace | Dune
namespace | Dune::GridGlue

## Functions

template<int dimworld, typename T>
void | Dune::GridGlue::simplexSubdivision (std::integral_constant< int, 0 >, const std::vector< Dune::FieldVector< T, dimworld > > &elementCorners, std::vector< std::vector< unsigned int > > &subElements, std::vector< std::vector< int > > &faceIds)
template<int dimworld, typename T>
void | Dune::GridGlue::simplexSubdivision (std::integral_constant< int, 1 >, const std::vector< Dune::FieldVector< T, dimworld > > &elementCorners, std::vector< std::vector< unsigned int > > &subElements, std::vector< std::vector< int > > &faceIds)
template<int dimworld, typename T>
void | Dune::GridGlue::simplexSubdivision (std::integral_constant< int, 2 >, const std::vector< Dune::FieldVector< T, dimworld > > &elementCorners, std::vector< std::vector< unsigned int > > &subElements, std::vector< std::vector< int > > &faceIds)
template<int dimworld, typename T>
void | Dune::GridGlue::simplexSubdivision (std::integral_constant< int, 3 >, const std::vector< Dune::FieldVector< T, dimworld > > &elementCorners, std::vector< std::vector< unsigned int > > &subElements, std::vector< std::vector< int > > &faceIds)